[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# SuspendThread

Suspend a running thread.

## Declaration

Source position: threadh.inc line 135

`function SuspendThread(`
`threadHandle: TThreadID`
`):DWord;`

## Description

SuspendThread suspends a running thread. The thread is identified with it's handle or ID threadHandle.

The function returns zero if succesful. A nonzero return value indicates failure.

## Errors

If a failure occurred, a nonzero result is returned. The meaning is system dependent.

## See also

ResumeThread |  | Resume a suspended thread.
KillThread |  | Kill a running thread

Documentation generated on: Feb 26 2014